You are not logged in.

#1 2010-02-09 20:29:47

wrc1944
Member
From: Gainesville, Florida
Registered: 2007-10-07
Posts: 117

corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

After downloading all of the newly released kde-4.4.0 packages, a corrupt vi package is preventing installation.  I tried pacman -Syuf and pacman -Syu IgnorePkg = vi-050325-2-x86_64, and got same result:

Total Download Size:    0.00 MB
Total Installed Size:   1013.37 MB

Proceed with installation? [Y/n] Y
checking package integrity...
:: File vi-050325-2-x86_64.pkg.tar.gz is corrupted. Do you want to delete it? [Y/n] Y
error: failed to commit transaction (invalid or corrupted package)
vi-050325-2-x86_64.pkg.tar.gz is invalid or corrupted
Errors occurred, no packages were upgraded.
[root@myhost wrc]#

Doesn't matter if I answer Y or n on this. I don't need or want vi installed at all- how can kde-4.4.0 depend on vi? 

What should I try next?

Also, doesn't matter if I answer Y or n on these:

:: Starting full system upgrade...
:: Replace klibc with testing/mkinitcpio? [Y/n] n
:: Replace klibc-extras with testing/mkinitcpio? [Y/n] n
:: Replace klibc-kbd with testing/mkinitcpio? [Y/n] n
:: Replace klibc-module-init-tools with testing/mkinitcpio? [Y/n] n
:: Replace klibc-udev with testing/mkinitcpio? [Y/n] n

EDIT:  Switched mirrors, and got vi, but now kernel fails and stops kde installation:  What next?

error: failed to commit transaction (invalid or corrupted package)
kernel26-2.6.32.8-1-x86_64.pkg.tar.gz is invalid or corrupted
Errors occurred, no packages were upgraded.
[root@myhost wrc]#

OK- just decided to try pacman-S kde, and it's installing all 231 packages, without the other Syu updates- hope nothing bad happens! wink

Last edited by wrc1944 (2010-02-09 20:47:32)

Offline

#2 2010-02-09 20:53:25

wrc1944
Member
From: Gainesville, Florida
Registered: 2007-10-07
Posts: 117

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

OK- 231 kde packages installed, but this could be trouble, as pacman -Syu still reports this, with some major kde-4.4.0 packages still not installed. sad

[root@myhost wrc]# pacman -Syu
:: Synchronizing package databases...
 testing is up to date
 community-testing is up to date
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace klibc with testing/mkinitcpio? [Y/n] n
:: Replace klibc-extras with testing/mkinitcpio? [Y/n] n
:: Replace klibc-kbd with testing/mkinitcpio? [Y/n] n
:: Replace klibc-module-init-tools with testing/mkinitcpio? [Y/n] n
:: Replace klibc-udev with testing/mkinitcpio? [Y/n] n
resolving dependencies...
looking for inter-conflicts...

Targets (45): shared-mime-info-0.71-1 [0.62 MB]  soprano-2.4.0-1 [2.49 MB]  
              akonadi-1.3.1-1 [0.78 MB]  device-mapper-2.02.60-3 [0.81 MB]  
              cryptsetup-1.1.0-2 [0.64 MB]  deskbar-applet-2.28.0-3 [1.32 MB]  
              x264-20100207-1 [0.82 MB]  lame-3.98.2-3 [0.51 MB]  libvdpau-0.4-1 [0.06 MB]  
              ffmpeg-30526-1 [6.18 MB]  libjpeg-8-2 [0.32 MB]  
              ffmpegthumbnailer-2.0.0-4 [0.07 MB]  gstreamer0.10-ugly-0.10.13-4 [0.22 MB]  
              libid3tag-0.15.1b-4 [0.08 MB]  
              gstreamer0.10-ugly-plugins-0.10.13-4 [0.12 MB]  hwdetect-2010.02-2 [0.01 MB]  
              kdelibs-4.4.0-3 [20.42 MB]  kdebase-lib-4.4.0-3 [0.18 MB]  
              oxygen-icons-4.4.0-1 [23.68 MB]  kdebase-runtime-4.4.0-3 [9.55 MB]  
              kdepimlibs-4.4.0-1 [4.40 MB]  kdepim-runtime-4.4.0-1 [1.85 MB]  
              kdebindings-python-4.4.0-2 [7.20 MB]  kdeedu-data-4.4.0-2 [0.01 MB]  
              kdeedu-libkdeedu-4.4.0-2 [0.30 MB]  kdegames-libkdegames-4.4.0-1 [9.17 MB]  
              kdegames-libkmahjongg-4.4.0-1 [1.90 MB]  kdegraphics-libs-4.4.0-1 [0.83 MB]  
              kdepim-libkdepim-4.4.0-1 [2.21 MB]  kdeplasma-addons-libs-4.4.0-1 [0.36 MB]  
              kernel26-firmware-2.6.32.8-1 [1.02 MB]  
              mkinitcpio-busybox-1.15.3-4 [0.18 MB]  mkinitcpio-0.5.99.4-1 [0.02 MB]  eplace klibc with testeplace klibc with testing/mkinitcing/mkinitc
              kernel26-2.6.32.8-1 [30.05 MB]  libdaemon-0.14-1 [0.03 MB]  
              libv4l-0.6.4-1 [0.10 MB]  lvm2-2.02.60-3 [1.69 MB]  mdadm-3.1.1-2 [0.35 MB]  
              mplayer-30526-1 [10.33 MB]  pycups-1.9.48-1 [0.05 MB]  
              python-gdata-2.0.7-1 [0.94 MB]  subversion-1.6.9-2 [7.04 MB]  
              system-config-printer-common-1.1.16-1 [0.04 MB]  xmlrpc-c-1858-1 [0.42 MB]  
              xulrunner-1.9.2-4 [20.38 MB]  

Total Download Size:    0.00 MB
Total Installed Size:   514.38 MB

Proceed with installation? [Y/n]

Should replace the klibc packages with mkinitcpio be answered Y or n?

Offline

#3 2010-02-09 21:21:36

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,365
Website

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

You should read the arch-dev-public mailing list if you are using the [testing] repo....   In fact this was posted to arch-general as well.  All such changes are explained there.

I leave the research up to you.

Offline

#4 2010-02-09 22:03:43

wrc1944
Member
From: Gainesville, Florida
Registered: 2007-10-07
Posts: 117

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

Thanks Allan,

I looked at that and the forum posts on the subject, backed up my /boot//kernel26.img file, but still get this:
[root@myhost wrc]# pacman -Syu                                    
:: Synchronizing package databases...                             
 testing is up to date                                            
 community-testing is up to date                                  
 core is up to date                                               
 extra is up to date                                              
 community is up to date                                          
:: Starting full system upgrade...                                
:: Replace klibc with testing/mkinitcpio? [Y/n] Y                 
:: Replace klibc-extras with testing/mkinitcpio? [Y/n] Y          
:: Replace klibc-kbd with testing/mkinitcpio? [Y/n] Y             
:: Replace klibc-module-init-tools with testing/mkinitcpio? [Y/n] Y
:: Replace klibc-udev with testing/mkinitcpio? [Y/n] Y             
resolving dependencies...                                          
looking for inter-conflicts...                                     

Remove (5): klibc-1.5.15-4 [15.41 MB]  klibc-extras-2.5-5 [0.07 MB]  klibc-kbd-1.15.1-2 [0.14 MB]  
            klibc-module-init-tools-3.8-2 [0.14 MB]  klibc-udev-141-4 [0.29 MB]                    

Total Removed Size:   16.05 MB

Targets (22): device-mapper-2.02.60-3 [0.81 MB]  cryptsetup-1.1.0-2 [0.64 MB]  
              x264-20100207-1 [0.82 MB]  libvdpau-0.4-1 [0.06 MB]  ffmpeg-30526-1 [6.18 MB]  
              libjpeg-8-2 [0.32 MB]  ffmpegthumbnailer-2.0.0-4 [0.07 MB]                     
              gstreamer0.10-ugly-0.10.13-4 [0.22 MB]  gstreamer0.10-ugly-plugins-0.10.13-4 [0.12 MB]  
              hwdetect-2010.02-2 [0.01 MB]  kernel26-firmware-2.6.32.8-1 [1.02 MB]                    
              mkinitcpio-busybox-1.15.3-4 [0.18 MB]  mkinitcpio-0.5.99.4-1 [0.02 MB]                  
              kernel26-2.6.32.8-1 [30.05 MB]  libdaemon-0.14-1 [0.03 MB]  lvm2-2.02.60-3 [1.69 MB]
              mdadm-3.1.1-2 [0.35 MB]  mplayer-30526-1 [10.33 MB]  python-gdata-2.0.7-1 [0.94 MB]
              system-config-printer-common-1.1.16-1 [0.04 MB]  xmlrpc-c-1858-1 [0.42 MB]
              xulrunner-1.9.2-4 [20.38 MB]

Total Download Size:    30.05 MB
Total Installed Size:   238.90 MB

Proceed with installation? [Y/n] Y
:: Retrieving packages from core...
error: failed retrieving file 'kernel26-2.6.32.8-1-x86_64.pkg.tar.gz' from archlinux.unixheads.org : Not Found
error: failed retrieving file 'kernel26-2.6.32.8-1-x86_64.pkg.tar.gz' from ftp.gtlib.gatech.edu : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'kernel26-2.6.32.8-1-x86_64.pkg.tar.gz' from mirror.cs.vt.edu : File unavailable (e.g., file not found, no access)
error: failed retrieving file 'kernel26-2.6.32.8-1-x86_64.pkg.tar.gz' from mirrors.easynews.com : Not Found
error: failed retrieving file 'kernel26-2.6.32.8-1-x86_64.pkg.tar.gz' from ftp.ibiblio.org : File unavailable (e.g., file not found, no access)
 kernel26-2.6.32.8-1...     1.0K 1483.6K/s 00:00:00 [##############################################] 100%
checking package integrity...
:: File kernel26-2.6.32.8-1-x86_64.pkg.tar.gz is corrupted. Do you want to delete it? [Y/n] Y
error: failed to commit transaction (invalid or corrupted package)
kernel26-2.6.32.8-1-x86_64.pkg.tar.gz is invalid or corrupted
Errors occurred, no packages were upgraded.
[root@myhost wrc]#

Even the main Arch repo doesn't have this kernel, preventing finishing up -Syu.

However, I did install the rest of kde-4.4.0 manually, and all seems to work normally, except I can launch dolphin, either from menu or command line:  Error from command line on dolphin.

 [wrc@myhost ~]$ dolphin
<unknown program name>(2273)/: Communication problem with  "dolphin" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." "

Last edited by wrc1944 (2010-02-09 22:04:45)

Offline

#5 2010-02-09 22:12:37

dhave
Arch Linux f@h Team Member
From: Outside the matrix.
Registered: 2005-05-15
Posts: 1,110

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

Dolphin's not launching for me, either. I get the same message you do.


Donate to Arch!

Tired? There's a nap for that. --anonymous

Offline

#6 2010-02-09 22:22:37

dhave
Arch Linux f@h Team Member
From: Outside the matrix.
Registered: 2005-05-15
Posts: 1,110

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

Actually, the first time I try to launch dolphin after a reboot, I get this much longer error message:

[chas64@thinkpad ~]$ dolphin
dolphin(4342)/kio (bookmarks) KBookmarkManager::KBookmarkManager: starting KDirWatch for  "/home/chas64/.local/share//user-places.xbel"                                       
dolphin(4342)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-chas64/ksycoca4"                                                
dolphin(4342)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("trash:/")                                                                              
Object::connect: No such slot DolphinSearchBox::slotClearButtonClicked()               
Object::connect: No such signal DolphinController::requestUrlChange(const KUrl&)       
dolphin(4342)/kio (KDirListerCache) KDirListerCache::listDir: Reloading directory: KUrl("file:///home/chas64")
dolphin(4342)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::instance: instance(): ... initialised
dolphin(4342)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readConfig: readConfig(): local zone= "America/New_York"
dolphin(4342)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readZoneTab: readZoneTab( "/usr/share/zoneinfo/zone.tab" )
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
"/usr/bin/dolphin(4342)" Error in thread 140231003125600 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
dolphin(4342)/nepomuk (library) <unnamed>::GlobalModelContainer::init: Connecting to local socket "/home/chas64/.kde4/share/apps/nepomuk/socket"
"/usr/bin/dolphin(4342)" Error in thread 140231003125600 : "QLocalSocket::connectToServer: Invalid name"
QMutex::unlock: mutex lock failure:
<unknown program name>(4341)/: Communication problem with  "dolphin" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." "

Then, on subsequent attempts, I get the shorter error message cited by wrc1944 above.


Donate to Arch!

Tired? There's a nap for that. --anonymous

Offline

#7 2010-02-09 22:30:31

wrc1944
Member
From: Gainesville, Florida
Registered: 2007-10-07
Posts: 117

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

I just succesfully completed the rest of -Syu with another mirror, so I guess the kernel/mkinitcpio turned out OK. 

14/22) upgrading kernel26                          [##############################################] 100%
>>>                                                                                                      
>>> If you use the LILO bootloader, you should run 'lilo' before rebooting.                              
>>>                                                                                                      
>>> Updating module dependencies. Please wait ...                                                        
>>> MKINITCPIO SETUP                                                                                     
>>> ----------------                                                                                     
>>> If you use LVM2, Encrypted root or software RAID,                                                    
>>> Ensure you enable support in /etc/mkinitcpio.conf .                                                  
>>> More information about mkinitcpio setup can be found here:                                           
>>> http://wiki.archlinux.org/index.php/Mkinitcpio                                                       

>>> Generating initial ramdisk, using mkinitcpio.  Please wait...
==> Building image "default"                                     
==> Running command: /sbin/mkinitcpio -k 2.6.32-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26.img
:: Begin build                                                                                    
:: Parsing hook [base]                                                                            
:: Parsing hook [udev]                                                                            
:: Parsing hook [autodetect]                                                                      
:: Parsing hook [pata]                                                                            
:: Parsing hook [scsi]                                                                            
:: Parsing hook [sata]                                                                            
:: Parsing hook [keymap]                                                                          
:: Parsing hook [filesystems]                                                                     
:: Generating module dependencies                                                                 
:: Generating image '/boot/kernel26.img'...SUCCESS                                                
==> SUCCESS                                                                                       
==> Building image "fallback"
==> Running command: /sbin/mkinitcpio -k 2.6.32-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26-fallback.img -S autodetect
:: Begin build
:: Parsing hook [base]
:: Parsing hook [udev]
:: Parsing hook [pata]
:: Parsing hook [scsi]
:: Parsing hook [sata]
:: Parsing hook [keymap]
:: Parsing hook [filesystems]
:: Generating module dependencies
:: Generating image '/boot/kernel26-fallback.img'...SUCCESS
==> SUCCESS
(15/22) upgrading libdaemon

However, dolphin still has same command line error (short one I posted above)  Maybe a reboot with new kernel???

EDIT: OK reboot went fine, except dolphin still has same problem- won't launch.  sad

EDIT2: I'm not in Arch right now so can't test it (updating my Gentoo kde install), but I read on the kde site that Dolphin is now integrated with desktop search (nepomuk and strigi), so since I always have disabled that, maybe that's the problem with Dolphin not launching?

Hmmm.  Just installed kde-4.4.0 in Mandriva Cooker, and Dolphin launches and runs fine with nepomuk and strigi disabled, so that's not the problem.

Last edited by wrc1944 (2010-02-10 01:18:35)

Offline

#8 2010-02-10 03:35:10

dhave
Arch Linux f@h Team Member
From: Outside the matrix.
Registered: 2005-05-15
Posts: 1,110

Re: corrupt vi-050325-2-x86_64 stops NEW kde-4.4.0 installation

My dolphin problem went away, apparently when soprano was updated to 2.23.72-2.


Donate to Arch!

Tired? There's a nap for that. --anonymous

Offline

Board footer

Powered by FluxBB